# Dadou - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC
#

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdebindings
Summary: 	Kdebindings
Version: 	2.2.2
Release: 	5mdk
URL:            http://www.kde.org/
Source0: 	%name-%version.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot: 	%_tmppath/%name-%version-%release-root

%if %buildfor7_2
BuildRequires:	gcc-c++ libqt2-devel
%endif

%if %buildfor8_0
BuildRequires:	gcc-c++ libqt2-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++ libqt2-devel
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts libarts2-devel
BuildRequires:	autoconf automake diffutils file freetype2-devel gawk gcc-cpp
BuildRequires:	gcc-c++ gettext kdelibs-devel libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:	libglib1.2-devel libgtk+1.2-devel libintl1 libjpeg62-devel liblcms1
BuildRequires:	libmng1-devel libnspr4 libpng3-devel libqt2-devel
BuildRequires:	libstdc++2.10 libtermcap2 m4 mktemp mozilla-devel perl
BuildRequires:	popt python python-devel rpm-build texinfo zlib1-devel
%endif

%if %buildfor8_2
Obsoletes:	kdebindings-static-devel
%endif


%description
kdebindings


%package devel
Summary:	Header files for kdebindings
%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:		%name = %version-%release

%description devel
Header files for kdebindings.


%package static-devel
Summary:	Static libraries for kdebindings
Group:		Development/KDE and QT
PreReq:		%name-devel = %version-%release

%description static-devel
Static libraries for kdebindings.


%prep


%setup  -q


%build
export QTDIR="/usr/lib/qt2"

%if %buildfor7_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --disable-xinerama \
		    --disable-mt \
	            --disable-rpath \
		    --without-java
%endif

%if %buildfor8_0
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --disable-xinerama \
                    --disable-mt \
                    --disable-rpath \
                    --without-java
%endif

%if %buildfor8_1
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath \
                    --without-java
%endif

%if %buildfor8_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath \
                    --without-java
%endif

%make


%install
rm -fr %buildroot

make install prefix=%buildroot/%_prefix


%clean
rm -fr %buildroot


%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%_bindir/*
#
#
#
%_libdir/*.la
#
%_libdir/*.so*
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop


%files devel
%defattr(-,root,root,-)
%dir %_includedir/dcopc/
%_includedir/dcopc/*.h
#
%dir %_includedir/xkparts/
%_includedir/xkparts/*.h


%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a
%endif


%changelog
* Fri Feb 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- Rebuild

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-4mdk
- Fix ./configure on all supported distributions
- 8.2: don't build static libraries
- Fix Group: on all supported distributions

* Fri Dec 07 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-3mdk
- made rpmlint happy

* Mon Dec 03 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove objprelink

* Thu Nov 15 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Tue Sep 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Official updates for Linux-Mandrake 7.2 and 8.0
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Sat Sep 21 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Remove update-menu/clean-menu (there is not menu file in this package)

* Wed Sep 19 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix build requires

* Fri Aug 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Rebuild with new kdelibs

* Wed Aug 08 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections

* Tue May 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
